#include <SDL.h>
int SDL_main(int,char**)
{
	//inicializace SDL - pouze video
	SDL_Init(SDL_INIT_VIDEO);
	//vytvoen okna
	SDL_Window* MainWindow = SDL_CreateWindow("Zakladni vykresleni obdelniku", //jmno okna
												SDL_WINDOWPOS_CENTERED, //okno bude vytvoeno ve stedu obrazovky
												SDL_WINDOWPOS_CENTERED,
												800, 600, 0); //ka, vka a flagy okna (ty nepotebujeme)

	SDL_Rect* rect = new SDL_Rect;					//vytvoen obdelnku
	rect->x = rect->y = rect->w = rect->h = 100;		//nastaven jeho promnnch

	//vytvoen rendereru
	SDL_Renderer* renderer = SDL_CreateRenderer(MainWindow,-1,0);

	
	bool End = false;						//promnn, kter d hlavn smyku
	SDL_Event* event=new SDL_Event;			//struktura, kter uchovv udlosti
	while (!End)							//zatek hlavn smyky
	{
		while (SDL_PollEvent(event))		//naten udlosti z fronty
		{
			if (event->type == SDL_QUIT)		//manipulace s udlost
				End = true;					//ukonen aplikace
			else if (event->type == SDL_KEYDOWN)		//reagovn na stisk klvesy
			{
				switch (event->key.keysym.sym)
				{
				case SDLK_RIGHT:					//ipka v pravo -> upraven x-ov pozice obdelnku
					rect->x += 1; break;
				case SDLK_LEFT:						//ipka v levo -> upraven x-ov pozice obdelnku
					rect->x -= 1; break;
				case SDLK_UP:						//ipka nahoru -> upraven y-ov pozice obdelnku
					rect->y -= 1; break;
				case SDLK_DOWN:						//ipka dol -> upraven y-ov pozice obdelnku
					rect->y += 1; break;
				}
			}
		}

		SDL_SetRenderDrawColor(renderer, 0, 0, 255, 255);		//nastaven barvy, kterou se bude vykreslovat pozad
		SDL_RenderClear(renderer);								//vykreslen pozad
		SDL_SetRenderDrawColor(renderer, 255, 0, 0, 255);		//nastaven barvy, kterou se bude vykreslovat obdelnk
		SDL_RenderFillRect(renderer, rect);						//vykreslen obdelnku
		SDL_RenderPresent(renderer);							//zobrazen novho stavu

	}

	//nen poteba mazat jednotliv objekty, po ukonen programu voln msto automaticky promae OS

	SDL_Quit();								//Ukonen SDL
	return 0;
}